## openjdk-8 8u382-ga

=== debian/changelog ===
openjdk-8 (8u382-ga-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 26 Jul 2023 13:35:43 +0200

openjdk-8 (8u382-ga-1) unstable; urgency=medium

  [ Thorsten Glaser ]
  * In Debian, stick with jtreg (5.x) since the plans to update
    that to 7 did not materialise (there’s now jtreg7), and the
    testng required by jtreg 7 for JDK 20 is too new for JDK 8.
    Keep jtreg6 (currently commented out until available) for
    Debian ELTS, because it’s so much better than the jtreg 4.x
    in jessie and stretch. Thanks Vladimir for the research!
  * Update sparc64 patch
  * Fix encoding in a documentation file
  * Refactor generation and use of GCC dependency to avoid
    surprises from unexpected gcc-defaults changes (sid just
    switched to 13, but that is too early to try for this month)

  [ Vincent Prat, Emmanuel Bourg ]
  * Change maintainer address mailing list address

  [ Thorsten Glaser ]
  * New upstream release
  * Upload sponsored by ⮡̶ ̶t̶a̶r̶e̶n̶t̶Qvest digital

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 21 Jul 2023 19:19:02 +0200

openjdk-8 (8u382~b04-2) unstable; urgency=medium

  * Rewrite codename-based if(n)eqs, so they fail safer (Closes: #1040167)
  * Maybe fix sparc64 Linux build failure
  * Do not run check for nōn-Hotspot architectures (Closes: #1040181)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 03 Jul 2023 00:17:03 +0200

openjdk-8 (8u382~b04-1) unstable; urgency=low

  * Merge *buntu changes
    - limit the change to keep using jtreg to that distro
  * Update to latest prerelease, update d/copyright accordingly
  * Appease more lintian
  * Upload sponsored by ⮡ tarent

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 29 Jun 2023 21:40:41 +0200

openjdk-8 (8u372-ga-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2019255). Remaining changes:
    - debian/JB-jre-headless.postinst.in: trigger ca-certificates-java after jre
      is set up.
    - d/rules: remove IcedTeaPlugin.so reference (LP: #2016396).
  * New changes:
    - d/rules: use jtreg package instead of jtreg6.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 12 May 2023 08:30:25 +1200
