=== debian/rules ===
--- 
+++ 
@@ -49,8 +49,6 @@
 multiarch_dir = /$(DEB_HOST_MULTIARCH)
 
 hotspot_aarch32_archs = armhf
-#hotspot_aarch64_archs = arm64
-hotspot_aarch64_archs =
 
 hotspot_archs	= amd64 i386 arm64 ppc64 ppc64el sparc64 \
 	$(hotspot_aarch32_archs)
@@ -63,7 +61,11 @@
   bootcycle_build  =
 endif
 
-ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy))
+# we know about:
+# wheezy jessie stretch buster bullseye bookworm trixie sid
+# precise trusty xenial bionic focal jammy (kinetic lunar mantic)
+
+ifneq (,$(filter $(distrel),wheezy precise trusty))
   is_default = no
 else
   is_default = yes
@@ -93,11 +95,10 @@
 is_release		=
 is_release		= yes
 gh_project		= jdk8u
-gh_tag			= jdk8u372-ga
+gh_tag			= jdk8u382-ga
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
-version_dash_buildnr	= 372-b07
-gh_tag_aarch32		= jdk8u372-ga-aarch32-20230426
-#gh_tag_aarch64		= aarch64-shenandoah-jdk8u322-b06
+version_dash_buildnr	= 382-b05
+gh_tag_aarch32		= jdk8u382-ga-aarch32-20230719
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
   package_version	:= $(subst -,~,$(package_version))
@@ -140,10 +141,10 @@
 endif
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
-ifneq (,$(filter $(DEB_HOST_ARCH), armel))
-  with_check = disabled running check on $(DEB_HOST_ARCH)
-endif
-ifneq (,$(filter $(distrel),precise))
+ifeq (,$(filter $(DEB_HOST_ARCH),$(hotspot_archs)))
+  with_check = disabled running check for Zero arch $(DEB_HOST_ARCH)
+endif
+ifneq (,$(filter $(distrel),precise wheezy))
   with_check = disabled running check on $(distrel)
 endif
 with_check = disabled for this build
@@ -165,11 +166,6 @@
 default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)
 hotspot_version = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),default,zero)
 hotspot_version = default
-# FIXME: 8u91 breaks zero, the jdk8-aarch64 hotspot has these issues fixed,
-# without any updates to the jdk8u project.
-ifneq (,$(filter $(DEB_HOST_ARCH),$(hotspot_aarch64_archs)))
-  hotspot_version = aarch64
-endif
 ifneq (,$(filter $(DEB_HOST_ARCH),$(hotspot_aarch32_archs)))
   hotspot_version = aarch32
 endif
@@ -222,3 +218,8 @@
 export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
 export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS) $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
 export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS)
+export EXTRA_LDFLAGS_HS  := $(shell $(dpkg_buildflags_hs) --get LDFLAGS)
+
+# for JDK: jdk/make/common/Defs.gmk
+# Don't overwrite JDK opt level :
+# 1) with forced -O3, it causes wrong Math.* computations, see #679292 and #678228
