=== debian/rules ===
--- 
+++ 
@@ -95,10 +95,11 @@
 is_release		=
 is_release		= yes
 gh_project		= jdk8u
-gh_tag			= jdk8u382-ga
+gh_tag			= jdk8u392-ga
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
-version_dash_buildnr	= 382-b05
-gh_tag_aarch32		= jdk8u382-ga-aarch32-20230719
+version_dash_buildnr	= 392-b08
+# patched to get up to b08 (${UPSTREAM_PATCHES})
+gh_tag_aarch32		= jdk8u392-b07-aarch32-20231002
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
   package_version	:= $(subst -,~,$(package_version))
@@ -213,7 +214,7 @@
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
 	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
-	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
+	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions -Xlinker --no-as-needed"
 dpkg_buildflags_hs += dpkg-buildflags
 export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
 export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS) $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
@@ -222,4 +223,3 @@
 
 # for JDK: jdk/make/common/Defs.gmk
 # Don't overwrite JDK opt level :
-# 1) with forced -O3, it causes wrong Math.* computations, see #679292 and #678228
