=== debian/rules ===
--- 
+++ 
@@ -50,11 +50,11 @@
 
 hotspot_aarch32_archs = armhf
 
-hotspot_archs	= amd64 i386 arm64 ppc64 ppc64el sparc64 \
-	$(hotspot_aarch32_archs)
-jtreg_archs	= $(hotspot_archs) alpha armel armhf \
-		  ia64 mips mipsel mips64 mips64el powerpc \
-		  powerpcspe ppc64 ppc64el s390x sh4 x32
+hotspot_archs	= amd64 arm64 i386 ppc64 ppc64el \
+		  ${hotspot_aarch32_archs}
+jtreg_archs	= ${hotspot_archs} alpha armel \
+		  ia64 loong64 mips mipsel mips64 mips64el \
+		  powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64 x32
 # FIXME: use bootcycle builds for zero archs?
 bootcycle_build  = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
 ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
@@ -63,7 +63,7 @@
 
 # we know about:
 # wheezy jessie stretch buster bullseye bookworm trixie sid
-# precise trusty xenial bionic focal jammy (kinetic lunar mantic)
+# precise trusty xenial bionic focal jammy (mantic) noble
 
 ifneq (,$(filter $(distrel),wheezy precise trusty))
   is_default = no
@@ -95,11 +95,10 @@
 is_release		=
 is_release		= yes
 gh_project		= jdk8u
-gh_tag			= jdk8u392-ga
+gh_tag			= jdk8u402-ga
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
-version_dash_buildnr	= 392-b08
-# patched to get up to b08 (${UPSTREAM_PATCHES})
-gh_tag_aarch32		= jdk8u392-b07-aarch32-20231002
+version_dash_buildnr	= 402-b06
+gh_tag_aarch32		= jdk8u402-ga-aarch32-20240118
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
   package_version	:= $(subst -,~,$(package_version))
@@ -152,8 +151,8 @@
 
 with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
 
-arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32
-archdir_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i386 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32
+arch_map	:= alpha=alpha amd64=amd64 arm64=aarch64 arm=arm armel=arm armhf=arm hppa=parisc i386=i586 ia64=ia64 loong64=loongarch64 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le s390x=s390x sh4=sh sparc64=sparcv9 sparc=sparc x32=x32
+archdir_map	:= alpha=alpha amd64=amd64 arm64=aarch64 arm=arm armel=arm armhf=arm hppa=parisc i386=i386 ia64=ia64 loong64=loongarch64 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le s390x=s390x sh4=sh sparc64=sparcv9 sparc=sparc x32=x32
 
 jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
 			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
@@ -171,7 +170,7 @@
   hotspot_version = aarch32
 endif
 
-any_archs = alpha amd64 armel ${hotspot_aarch32_archs} arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32
+any_archs = alpha amd64 arm64 armel ${hotspot_aarch32_archs} i386 ia64 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
 
 ifneq (,$(filter $(distrel),xenial))
   transitional_jamvm_pkg = yes
